package com.ruoyi.ibs.grid.domain.entity;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;

/**
 * 网格汇总统计_零售(GridCmpmCountLingshou965)实体类
 *
 * @author makejava
 * @since 2025-03-21 10:00:48
 */


public class GridCmpmCountLingshou implements Serializable {
    private static final long serialVersionUID = 384497324896526269L;
    /**
     * 统计日期
     */
    @Excel(name = "统计日期")
    private String dt;
    /**
     * 一级网格名称
     */
    @Excel(name = "一级网格名称")
    private String gridName;
    /**
     * 二级网格名称
     */
    @Excel(name = "二级网格名称")
    private String gridName2;
    /**
     * 县/区
     */
    @Excel(name = "县/区")
    private String county;
    /**
     * 镇/街道
     */
    @Excel(name = "镇/街道")
    private String town;
    /**
     * 村/社区
     */
    @Excel(name = "村/社区")
    private String village;
    /**
     * 归属支行
     */
    @Excel(name = "归属支行机构号")
    private String deptId;

    @Excel(name = "归属支行名称")
    private String deptName;
    /**
     * 归属网点
     */
    @Excel(name = "归属网点机构号")
    private String outletsId;

    @Excel(name = "归属网点名称")
    private String outletsName;
    /**
     * 归属客户经理
     */
    @Excel(name = "归属客户经理")
    private String userName;
    /**
     * 入格客户数
     */
    @Excel(name = "入格客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer custNum;

    /** 近365天已走访人数 */
    @Excel(name = "近365天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf365cnt;

    /** 近180天已走访人数 */
    @Excel(name = "近180天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf180cnt;

    /** 近90天已走访人数 */
    @Excel(name = "近90天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf90cnt;

    /** 近30天已走访人数 */
    @Excel(name = "近30天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf30cnt;

    /** 近365天走访率 */
    @Excel(name = "近365天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf365rt;

    /** 近180天走访率 */
    @Excel(name = "近180天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf180rt;

    /** 近90天走访率 */
    @Excel(name = "近90天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf90rt;

    /** 近30天走访率 */
    @Excel(name = "近30天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf30rt;



    /**
     * 活期存款余额
     */
    @Excel(name = "活期存款余额（元）",cellType = Excel.ColumnType.NUMERIC)
    private String curBalD;
    /**
     * 定期存款余额
     */
    @Excel(name = "定期存款余额（元）",cellType = Excel.ColumnType.NUMERIC)
    private String curBalT;
    /**
     * 贷款余额
     */
    @Excel(name = "贷款余额（元）",cellType = Excel.ColumnType.NUMERIC)
    private String balLoan;
    /**
     * 五级不良贷款余额
     */
    @Excel(name = "五级不良贷款余额（元）",cellType = Excel.ColumnType.NUMERIC)
    private String curBal5Bad;
    /**
     * 活期存款年日均
     */
    @Excel(name = "活期存款年日均（元）",cellType = Excel.ColumnType.NUMERIC)
    private String curDAve;
    /**
     * 定期存款年日均
     */
    @Excel(name = "定期存款年日均（元）",cellType = Excel.ColumnType.NUMERIC)
    private String curTAve;
    /**
     * 贷款年日均
     */
    @Excel(name = "贷款年日均（元）",cellType = Excel.ColumnType.NUMERIC)
    private String loanAve;
    /**
     * 建档率
     */
    @Excel(name = "建档率（%）",cellType = Excel.ColumnType.NUMERIC)
    private String phRat;
    /**
     * 授信率
     */
    @Excel(name = "授信率（%）",cellType = Excel.ColumnType.NUMERIC)
    private String sxRat;
    /**
     * 合同签约率
     */
    @Excel(name = "合同签约率（%）",cellType = Excel.ColumnType.NUMERIC)
    private String yxhtRat;
    /**
     * 信用卡覆盖率
     */
    @Excel(name = "信用卡覆盖率（%）",cellType = Excel.ColumnType.NUMERIC)
    private String xykRat;
    /**
     * 丰收互联覆盖率
     */
    @Excel(name = "丰收互联覆盖率（%）",cellType = Excel.ColumnType.NUMERIC)
    private String fshlRat;
    /**
     * 收单覆盖率
     */
    @Excel(name = "收单覆盖率（%）",cellType = Excel.ColumnType.NUMERIC)
    private String sdRat;
    /**
     * ETC覆盖率
     */
    @Excel(name = "ETC覆盖率（%）",cellType = Excel.ColumnType.NUMERIC)
    private String etcRat;
    /**
     * 代扣电费覆盖率
     */
    @Excel(name = "代扣电费覆盖率（%）",cellType = Excel.ColumnType.NUMERIC)
    private String dianRat;
    /**
     * 贷款黑名单占比
     */
    @Excel(name = "贷款黑名单占比（%）",cellType = Excel.ColumnType.NUMERIC)
    private String blackRat;
    /**
     * 五级不良贷款占比(人)
     */
    @Excel(name = "五级不良贷款占比(人)",cellType = Excel.ColumnType.NUMERIC)
    private String badRat;
    /**
     * 五级不良贷款占比(金额)
     */
    @Excel(name = "五级不良贷款占比(金额)",cellType = Excel.ColumnType.NUMERIC)
    private String badBalRat;
    /**
     * 建档客户数
     */
    @Excel(name = "建档客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer phNum;
    /**
     * 授信客户数
     */
    @Excel(name = "授信客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer sxNum;
    /**
     * 合同签约客户数
     */
    @Excel(name = "合同签约客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer yxhtNum;
    /**
     * 持有信用卡客户数
     */
    @Excel(name = "持有信用卡客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer xykNum;
    /**
     * 开通丰收互联客户数
     */
    @Excel(name = "开通丰收互联客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer fshlNum;
    /**
     * 收单客户数
     */
    @Excel(name = "收单客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer sdNum;
    /**
     * ETC客户数
     */
    @Excel(name = "ETC客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer etcNum;
    /**
     * 代扣电费客户数
     */
    @Excel(name = "代扣电费客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer dianNum;
    /**
     * 贷款黑名单客户数
     */
    @Excel(name = "贷款黑名单客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer blackNum;
    /**
     * 五级不良贷款客户数
     */
    @Excel(name = "五级不良贷款客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer badNum;
    /**
     * 归属行政区划编码
     */
    private String regionCode;
    /**
     * 部室归属 0零售 1公司 2运管
     */
    private String opsDept;



    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getOutletsName() {
        return outletsName;
    }

    public void setOutletsName(String outletsName) {
        this.outletsName = outletsName;
    }

    public String getDt() {
        return dt;
    }

    public void setDt(String dt) {
        this.dt = dt;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getGridName2() {
        return gridName2;
    }

    public void setGridName2(String gridName2) {
        this.gridName2 = gridName2;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }

    public String getVillage() {
        return village;
    }

    public void setVillage(String village) {
        this.village = village;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getOutletsId() {
        return outletsId;
    }

    public void setOutletsId(String outletsId) {
        this.outletsId = outletsId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getCustNum() {
        return custNum;
    }

    public void setCustNum(Integer custNum) {
        this.custNum = custNum;
    }

    public String getCurBalD() {
        return curBalD;
    }

    public void setCurBalD(String curBalD) {
        this.curBalD = curBalD;
    }

    public String getCurBalT() {
        return curBalT;
    }

    public void setCurBalT(String curBalT) {
        this.curBalT = curBalT;
    }

    public String getBalLoan() {
        return balLoan;
    }

    public void setBalLoan(String balLoan) {
        this.balLoan = balLoan;
    }

    public String getCurBal5Bad() {
        return curBal5Bad;
    }

    public void setCurBal5Bad(String curBal5Bad) {
        this.curBal5Bad = curBal5Bad;
    }

    public String getCurDAve() {
        return curDAve;
    }

    public void setCurDAve(String curDAve) {
        this.curDAve = curDAve;
    }

    public String getCurTAve() {
        return curTAve;
    }

    public void setCurTAve(String curTAve) {
        this.curTAve = curTAve;
    }

    public String getLoanAve() {
        return loanAve;
    }

    public void setLoanAve(String loanAve) {
        this.loanAve = loanAve;
    }

    public String getPhRat() {
        return phRat;
    }

    public void setPhRat(String phRat) {
        this.phRat = phRat;
    }

    public String getSxRat() {
        return sxRat;
    }

    public void setSxRat(String sxRat) {
        this.sxRat = sxRat;
    }

    public String getYxhtRat() {
        return yxhtRat;
    }

    public void setYxhtRat(String yxhtRat) {
        this.yxhtRat = yxhtRat;
    }

    public String getXykRat() {
        return xykRat;
    }

    public void setXykRat(String xykRat) {
        this.xykRat = xykRat;
    }

    public String getFshlRat() {
        return fshlRat;
    }

    public void setFshlRat(String fshlRat) {
        this.fshlRat = fshlRat;
    }

    public String getSdRat() {
        return sdRat;
    }

    public void setSdRat(String sdRat) {
        this.sdRat = sdRat;
    }

    public String getEtcRat() {
        return etcRat;
    }

    public void setEtcRat(String etcRat) {
        this.etcRat = etcRat;
    }

    public String getDianRat() {
        return dianRat;
    }

    public void setDianRat(String dianRat) {
        this.dianRat = dianRat;
    }

    public String getBlackRat() {
        return blackRat;
    }

    public void setBlackRat(String blackRat) {
        this.blackRat = blackRat;
    }

    public String getBadRat() {
        return badRat;
    }

    public void setBadRat(String badRat) {
        this.badRat = badRat;
    }

    public String getBadBalRat() {
        return badBalRat;
    }

    public void setBadBalRat(String badBalRat) {
        this.badBalRat = badBalRat;
    }

    public Integer getPhNum() {
        return phNum;
    }

    public void setPhNum(Integer phNum) {
        this.phNum = phNum;
    }

    public Integer getSxNum() {
        return sxNum;
    }

    public void setSxNum(Integer sxNum) {
        this.sxNum = sxNum;
    }

    public Integer getYxhtNum() {
        return yxhtNum;
    }

    public void setYxhtNum(Integer yxhtNum) {
        this.yxhtNum = yxhtNum;
    }

    public Integer getXykNum() {
        return xykNum;
    }

    public void setXykNum(Integer xykNum) {
        this.xykNum = xykNum;
    }

    public Integer getFshlNum() {
        return fshlNum;
    }

    public void setFshlNum(Integer fshlNum) {
        this.fshlNum = fshlNum;
    }

    public Integer getSdNum() {
        return sdNum;
    }

    public void setSdNum(Integer sdNum) {
        this.sdNum = sdNum;
    }

    public Integer getEtcNum() {
        return etcNum;
    }

    public void setEtcNum(Integer etcNum) {
        this.etcNum = etcNum;
    }

    public Integer getDianNum() {
        return dianNum;
    }

    public void setDianNum(Integer dianNum) {
        this.dianNum = dianNum;
    }

    public Integer getBlackNum() {
        return blackNum;
    }

    public void setBlackNum(Integer blackNum) {
        this.blackNum = blackNum;
    }

    public Integer getBadNum() {
        return badNum;
    }

    public void setBadNum(Integer badNum) {
        this.badNum = badNum;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getOpsDept() {
        return opsDept;
    }

    public void setOpsDept(String opsDept) {
        this.opsDept = opsDept;
    }

    public String getZf365cnt() {
        return zf365cnt;
    }

    public void setZf365cnt(String zf365cnt) {
        this.zf365cnt = zf365cnt;
    }

    public String getZf180cnt() {
        return zf180cnt;
    }

    public void setZf180cnt(String zf180cnt) {
        this.zf180cnt = zf180cnt;
    }

    public String getZf90cnt() {
        return zf90cnt;
    }

    public void setZf90cnt(String zf90cnt) {
        this.zf90cnt = zf90cnt;
    }

    public String getZf30cnt() {
        return zf30cnt;
    }

    public void setZf30cnt(String zf30cnt) {
        this.zf30cnt = zf30cnt;
    }

    public String getZf365rt() {
        return zf365rt;
    }

    public void setZf365rt(String zf365rt) {
        this.zf365rt = zf365rt;
    }

    public String getZf180rt() {
        return zf180rt;
    }

    public void setZf180rt(String zf180rt) {
        this.zf180rt = zf180rt;
    }

    public String getZf90rt() {
        return zf90rt;
    }

    public void setZf90rt(String zf90rt) {
        this.zf90rt = zf90rt;
    }

    public String getZf30rt() {
        return zf30rt;
    }

    public void setZf30rt(String zf30rt) {
        this.zf30rt = zf30rt;
    }
}

